package de.intevation.flys.jfree;

import de.intevation.flys.artifacts.math.Function;

import org.jfree.data.function.Function2D;

public class Function2DAdapter
implements   Function2D
{
    protected Function function;

    public Function2DAdapter() {
    }

    public Function2DAdapter(Function function) {
        this.function = function;
    }

    public Function getFunction() {
        return function;
    }

    public void setFunction(Function function) {
        this.function = function;
    }

    @Override
    public double getValue(double x) {
        return function.value(x);
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
